(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23443,        606]
NotebookOptionsPosition[     20597,        558]
NotebookOutlinePosition[     20933,        573]
CellTagsIndexPosition[     20890,        570]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Visualisation of the Simulationdata TOV_Cowl _dx04", "Subtitle",
 CellChangeTimes->{{3.639209050125929*^9, 3.639209104180278*^9}, {
  3.639551000512396*^9, 
  3.639551000835371*^9}},ExpressionUUID->"5200b4b4-c8d4-47dc-b2a2-\
6325f107714c"],

Cell["Plotting maximum density (central density) vs time ", "Subsubtitle",
 CellChangeTimes->{{3.6395511080292673`*^9, 
  3.6395511688132753`*^9}},ExpressionUUID->"8d930914-4949-4207-9683-\
b737085d5959"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"datapath", "=", "\"\<./../data/Cow-dx04/rho.maximum.asc\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"str", "=", 
   RowBox[{"OpenRead", "[", "datapath", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Skip", "[", 
   RowBox[{"str", ",", "String", ",", "6"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rhomax", "=", 
   RowBox[{"ReadList", "[", 
    RowBox[{"str", ",", 
     RowBox[{"Table", "[", 
      RowBox[{"Real", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "3"}], "}"}]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NP", "=", 
   RowBox[{
    RowBox[{"Dimensions", "[", "rhomax", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"rhomax", "[", 
        RowBox[{"[", 
         RowBox[{"n", ",", "2"}], "]"}], "]"}], ",", 
       RowBox[{"rhomax", "[", 
        RowBox[{"[", 
         RowBox[{"n", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "NP"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListLinePlot", "[", "data", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.639551180229196*^9, 3.639551210624551*^9}, {
   3.639551264416129*^9, 3.639551266119905*^9}, {3.639551313386894*^9, 
   3.639551329533589*^9}, {3.639551367760551*^9, 3.639551368870496*^9}, {
   3.6395513993188267`*^9, 3.639551405707024*^9}, {3.639551436987053*^9, 
   3.639551446151555*^9}, {3.6395533551619387`*^9, 3.639553363088964*^9}, {
   3.639553858571417*^9, 3.639553888833399*^9}, {3.8156654467563963`*^9, 
   3.815665449747635*^9}, {3.815665505794011*^9, 3.815665522664262*^9}, 
   3.815666381067956*^9},
 CellLabel->"In[43]:=",ExpressionUUID->"c53758f1-2074-4835-ad2a-46e071817055"],

Cell[CellGroupData[{

Cell["Plotting simulation data (1D) using SimulationTools", "Subsubtitle",
 CellChangeTimes->{{3.639551502710763*^9, 3.639551573294854*^9}, {
  3.639553735768716*^9, 3.6395537603403254`*^9}, {3.639553820428829*^9, 
  3.639553821630233*^9}},ExpressionUUID->"8b2b1811-5a0e-4e96-b5a9-\
0f0c23632626"],

Cell[BoxData[{
 RowBox[{"<<", " ", "SimulationTools`"}], "\[IndentingNewLine]", 
 RowBox[{"<<", " ", "h5mma`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SimulationTools`$SimulationPath", "=", 
   RowBox[{"{", "\"\<./../data/\>\"", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SimulationNames", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.63920990915707*^9, {3.639210023125372*^9, 3.63921004243913*^9}, {
   3.639210074100952*^9, 3.63921009912444*^9}, {3.639210131093729*^9, 
   3.639210131620582*^9}, {3.639486649937785*^9, 3.639486708284832*^9}, 
   3.639553370171694*^9, {3.815665548481551*^9, 3.815665556609786*^9}, {
   3.8156660199578257`*^9, 3.815666041425458*^9}, 3.815666373269504*^9},
 CellLabel->"In[39]:=",ExpressionUUID->"fae03bd3-da59-402f-8496-924ed1b4c5c3"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SimName", "=", "\"\<Cow-dx04\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FindSimulationFiles", "[", 
   RowBox[{"SimName", ",", "\"\<*.h5\>\""}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.639210234582241*^9, 3.6392102749014587`*^9}, {
   3.63921033899457*^9, 3.639210375509535*^9}, {3.639210414974012*^9, 
   3.639210418531155*^9}, {3.63921050242542*^9, 3.639210508558095*^9}, {
   3.6392105553201036`*^9, 3.639210561070257*^9}, {3.63921060720068*^9, 
   3.639210629476063*^9}, {3.639210791718889*^9, 3.6392108286286497`*^9}, {
   3.639210865664847*^9, 3.639210904672556*^9}, 3.6392109434028463`*^9, {
   3.639210978329377*^9, 3.6392109797068167`*^9}, 3.639211065359809*^9, {
   3.639211107352906*^9, 3.6392111180645447`*^9}, {3.6392111902422953`*^9, 
   3.639211213401372*^9}, {3.639211256029442*^9, 3.639211269054573*^9}, {
   3.639211474852806*^9, 3.639211477683159*^9}, {3.639486715794372*^9, 
   3.639486719238246*^9}, {3.639551609930126*^9, 3.63955163208681*^9}, {
   3.815666112675439*^9, 3.815666119788596*^9}, 3.81566639258677*^9},
 CellLabel->"In[50]:=",ExpressionUUID->"91465876-f565-425b-97f4-3ca0e4e3cf75"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ReadIterations", "[", 
   RowBox[{"SimName", ",", "\"\<rho\>\"", ",", "\"\<x\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.639211258225237*^9, {3.639211986501094*^9, 3.639212033763525*^9}, {
   3.639212802848124*^9, 3.639212838071351*^9}, {3.63921320138575*^9, 
   3.63921325621694*^9}, {3.639551656539948*^9, 
   3.639551667452203*^9}},ExpressionUUID->"46d39f2a-7e59-4ac6-ba94-\
688e269de122"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"rhox", "[", "t_", "]"}], ":=", 
   RowBox[{"ReadGridFunction", "[", 
    RowBox[{"SimName", ",", "\"\<rho\>\"", ",", "\"\<x\>\"", ",", 
     RowBox[{"Iteration", "\[Rule]", "t"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"time", "=", 
   RowBox[{"50", "*", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListLinePlot", "[", 
   RowBox[{"rhox", "[", "time", "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListLinePlot", "[", 
   RowBox[{"Log", "[", 
    RowBox[{"rhox", "[", "time", "]"}], "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6395516860898323`*^9, 3.63955170363944*^9}, {
  3.639551734162657*^9, 3.639551767391614*^9}, {3.639551894195051*^9, 
  3.639551917828561*^9}, {3.6395520751072817`*^9, 3.639552106939644*^9}, {
  3.639552256784542*^9, 3.639552314695793*^9}, {3.63955339038302*^9, 
  3.639553394088367*^9}},ExpressionUUID->"2adb775c-0e20-4805-9c55-\
1e0e4c5dc146"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Animate", "[", 
   RowBox[{
    RowBox[{"ListLinePlot", "[", 
     RowBox[{"Log", "[", 
      RowBox[{"rhox", "[", 
       RowBox[{"a", "*", "50"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "0", ",", "50", ",", "1"}], "}"}], ",", 
    RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}], ";"}]], "Input",\

 CellChangeTimes->{{3.6395518343117933`*^9, 3.639551836676938*^9}, {
   3.639551870293399*^9, 3.639551885331959*^9}, {3.6395519308618803`*^9, 
   3.639551936872162*^9}, {3.639551977206666*^9, 3.639552037297558*^9}, 
   3.639552139336515*^9},ExpressionUUID->"514154f5-2239-419c-b577-\
e80143fcd3b5"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Plotting simulation data (2D) using SimulationTools", "Subsubtitle",
 CellChangeTimes->{{3.63948707397779*^9, 3.639487080829904*^9}, {
  3.639553775959731*^9, 
  3.6395537852660103`*^9}},ExpressionUUID->"c2f75849-c509-45c7-a35b-\
216146a42ed2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"rhoxy", "[", "t_", "]"}], ":=", 
   RowBox[{"ReadGridFunction", "[", 
    RowBox[{"SimName", ",", "\"\<rho\>\"", ",", "\"\<xy\>\"", ",", 
     RowBox[{"Iteration", "\[Rule]", "t"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"time", "=", 
   RowBox[{"50", "*", "1"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6395522289940987`*^9, 3.639552236249638*^9}, {
  3.6395523404796743`*^9, 3.639552350407832*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"c5ff32c5-c170-446a-93f8-0cfaaa16a1f4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ArrayPlot", "[", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"rhoxy", "[", "time", "]"}], "]"}], ",", 
    RowBox[{"ColorFunction", "\[Rule]", 
     RowBox[{"ColorData", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<TemperatureMap\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]}], ",", 
    RowBox[{"FrameTicks", "\[Rule]", "True"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6392121185314817`*^9, 3.639212139047567*^9}, {
   3.639212171319785*^9, 3.639212216033341*^9}, {3.639212264920505*^9, 
   3.63921227254313*^9}, {3.639212307267563*^9, 3.639212338664356*^9}, {
   3.6392124324383717`*^9, 3.6392124428794813`*^9}, {3.639212515424478*^9, 
   3.639212570391296*^9}, {3.63921262648792*^9, 3.639212635743568*^9}, {
   3.6392130359368887`*^9, 3.639213058822749*^9}, {3.6395523656975822`*^9, 
   3.639552368477281*^9}, 3.6395534052421627`*^9, 3.815666296510878*^9, 
   3.815666346836463*^9},
 CellLabel->"In[38]:=",ExpressionUUID->"a95a6802-7dc1-4668-a1be-d5bb2256017f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ListContourPlot", "[", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"rhoxy", "[", "time", "]"}], "]"}], ",", 
    RowBox[{"ContourLabels", "\[Rule]", "True"}], ",", 
    RowBox[{"ColorFunction", "\[Rule]", 
     RowBox[{"ColorData", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<TemperatureMap\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.639212643146516*^9, 3.6392126478964643`*^9}, {
   3.639212915685938*^9, 3.63921291814104*^9}, 3.639552392367325*^9, 
   3.6395534090712347`*^9},ExpressionUUID->"04be4ce4-3c3d-443a-b85f-\
e4b3e0a66dc7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ListPlot3D", "[", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"rhoxy", "[", "time", "]"}], "]"}], ",", 
    RowBox[{"ColorFunction", "\[Rule]", 
     RowBox[{"ColorData", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<TemperatureMap\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{3.639212657351178*^9, 3.6395524047668324`*^9, 
  3.6395534129940233`*^9},ExpressionUUID->"9a9d389b-0835-4a21-b6ed-\
9678fd84e695"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ListPlot3D", "[", 
   RowBox[{
    RowBox[{"rhoxy", "[", "time", "]"}], ",", 
    RowBox[{"ColorFunction", "\[Rule]", 
     RowBox[{"ColorData", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<TemperatureMap\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "15"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "15"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0.0014"}], "}"}]}], "}"}]}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.639487765276659*^9, 3.639487776032136*^9}, {
   3.63948780670759*^9, 3.6394878705184813`*^9}, {3.639487954816635*^9, 
   3.6394879994128113`*^9}, 3.639552413128737*^9, 
   3.639553420046389*^9},ExpressionUUID->"023e8848-6e89-4a06-b98a-\
0db888aec95b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"velXxy", "[", "t_", "]"}], ":=", 
  RowBox[{"ReadGridFunction", "[", 
   RowBox[{"SimName", ",", "\"\<vel[0]\>\"", ",", "\"\<xy\>\"", ",", 
    RowBox[{"Iteration", "\[Rule]", "t"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"time", "=", 
   RowBox[{"50", "*", "30"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot3D", "[", 
   RowBox[{
    RowBox[{"velXxy", "[", "time", "]"}], ",", 
    RowBox[{"ColorFunction", "\[Rule]", 
     RowBox[{"ColorData", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<TemperatureMap\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "15"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "15"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.1"}], ",", "0.1"}], "}"}]}], "}"}]}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.639488239595516*^9, 3.639488323160718*^9}, 
   3.639488355761931*^9, {3.6395524374717817`*^9, 3.6395525967294188`*^9}, 
   3.639553425572618*^9},ExpressionUUID->"4c6ae0bb-c295-49b0-8ea3-\
baab0023967d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Animate", "[", 
   RowBox[{
    RowBox[{"ArrayPlot", "[", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"rhoxy", "[", 
        RowBox[{"a", "*", "50"}], "]"}], "]"}], ",", 
      RowBox[{"ColorFunction", "\[Rule]", 
       RowBox[{"ColorData", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<TemperatureMap\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]}], ",", 
      RowBox[{"FrameTicks", "\[Rule]", "True"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "10", ",", "30", ",", "1"}], "}"}], ",", 
    RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}], ";"}]], "Input",\

 CellChangeTimes->{{3.639212726584585*^9, 3.639212787136322*^9}, {
   3.639212851056834*^9, 3.639212855024712*^9}, 3.639212894163168*^9, 
   3.6392129391250973`*^9, {3.6392129696486273`*^9, 3.6392129832947598`*^9}, {
   3.6392130793146963`*^9, 3.639213105664905*^9}, 3.6392132709768867`*^9, 
   3.639213331362122*^9, 3.639486959831547*^9, 3.639487004844309*^9, {
   3.639552706751001*^9, 3.63955276931913*^9}, {3.639553279789442*^9, 
   3.639553310891838*^9}},ExpressionUUID->"44022170-2527-4822-b866-\
2a0a261be395"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Animate", "[", 
   RowBox[{
    RowBox[{"ListPlot3D", "[", 
     RowBox[{
      RowBox[{"velXxy", "[", 
       RowBox[{"a", "*", "50"}], "]"}], ",", 
      RowBox[{"ColorFunction", "\[Rule]", 
       RowBox[{"ColorData", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<TemperatureMap\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "16"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "16"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "0.1"}], ",", "0.1"}], "}"}]}], "}"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "10", ",", "30", ",", "1"}], "}"}], ",", 
    RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}], ";"}]], "Input",\

 CellChangeTimes->{{3.63955279067206*^9, 3.639552832002417*^9}, {
   3.639552873696527*^9, 3.639552876992958*^9}, {3.639552913661943*^9, 
   3.6395529583203382`*^9}, {3.639553041263762*^9, 3.639553072109747*^9}, {
   3.639553140535952*^9, 3.639553149557863*^9}, {3.639553187381321*^9, 
   3.639553190825184*^9}, 
   3.63955331501379*^9},ExpressionUUID->"4324d953-c88e-4920-a9f2-\
b2afbd9b4d65"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["power spectral density (Simple Example)", "Subtitle",
 CellChangeTimes->{{3.639208773329126*^9, 3.639208791548182*^9}, {
  3.639208912196787*^9, 
  3.63920891395682*^9}},ExpressionUUID->"fafca065-d844-4935-bc0f-\
6ae4b617c10d"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f1", "=", 
   RowBox[{"1", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f2", "=", "2.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Lenght", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NP", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dl", "=", 
   RowBox[{"Lenght", "/", "NP"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"2", "*", 
     RowBox[{"Cos", "[", 
      RowBox[{"f1", "*", "2", "*", "Pi", "*", "t"}], "]"}]}], "+", 
    RowBox[{"3", "*", 
     RowBox[{"Cos", "[", 
      RowBox[{"f2", "*", "2", "*", "Pi", "*", "t"}], "]"}]}], "+", 
    RowBox[{"RandomReal", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.5"}], ",", "0.5"}], "}"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"f", "[", "k", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0", ",", "Lenght", ",", "dl"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"f", "[", "t", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "Lenght"}], "}"}]}], "]"}], ";"}]}], "Input",\

 CellChangeTimes->{
  3.639208521724229*^9, 3.639553503350327*^9, {3.639553912283719*^9, 
   3.639553947053485*^9}},ExpressionUUID->"58c2a113-57b5-48d0-b307-\
f2061ace41f0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"psd", "=", 
   RowBox[{"PowerSpectralDensity", "[", 
    RowBox[{"data", ",", "\[Omega]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"psd", "=", 
   RowBox[{"psd", "/.", 
    RowBox[{"\[Omega]", "\[Rule]", 
     RowBox[{"\[Omega]", "*", "2", "*", "Pi", "*", 
      RowBox[{"Lenght", "/", "NP"}]}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"psd", ",", 
    RowBox[{"{", 
     RowBox[{"\[Omega]", ",", "0.0", ",", "3"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"Filling", "\[Rule]", "Axis"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.6392085558832417`*^9, 3.639553507860322*^9, {3.639553926021146*^9, 
   3.639553951949086*^9}},ExpressionUUID->"e4a344af-c765-4016-a630-\
ad3934ceae02"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"FindMaximum", "[", 
  RowBox[{"psd", ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", "0.4", ",", "0.6"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"NMaximize", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"psd", ",", 
     RowBox[{"0.4", "\[LessEqual]", "\[Omega]", "\[LessEqual]", "0.6"}]}], 
    "}"}], ",", "\[Omega]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"FindMaximum", "[", 
  RowBox[{"psd", ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", "2.4", ",", "2.6"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"NMaximize", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"psd", ",", 
     RowBox[{"2.4", "\[LessEqual]", "\[Omega]", "\[LessEqual]", "2.6"}]}], 
    "}"}], ",", "\[Omega]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6392085846954412`*^9, 3.639208608230199*^9}, {
  3.639371496439554*^9, 3.639371515896344*^9}, {3.639371571649927*^9, 
  3.639371653346678*^9}},ExpressionUUID->"d14f4635-c6ea-449d-8bd7-\
e49ffdc6dc23"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1011.2869792464087`", ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", "\[Rule]", "0.5023270127059406`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.639208610483264*^9, 3.639371474575091*^9, 3.639371517592558*^9, 
   3.639371595640522*^9, {3.639371629725852*^9, 3.6393716569329443`*^9}, 
   3.639553454588098*^9},ExpressionUUID->"48b17119-e2c4-44c8-9afe-\
f3c8c61c0839"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1011.2869792464091`", ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", "\[Rule]", "0.5023270121726223`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.639208610483264*^9, 3.639371474575091*^9, 3.639371517592558*^9, 
   3.639371595640522*^9, {3.639371629725852*^9, 3.6393716569329443`*^9}, 
   3.639553455046609*^9},ExpressionUUID->"257e53d3-e109-4e08-86a9-\
ca3aa1e4124f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2231.3840646923622`", ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", "\[Rule]", "2.501848904777879`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.639208610483264*^9, 3.639371474575091*^9, 3.639371517592558*^9, 
   3.639371595640522*^9, {3.639371629725852*^9, 3.6393716569329443`*^9}, 
   3.639553455088909*^9},ExpressionUUID->"2982c47d-af4f-4978-856b-\
401d4c4c2555"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2231.384064692364`", ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", "\[Rule]", "2.5018489032450226`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.639208610483264*^9, 3.639371474575091*^9, 3.639371517592558*^9, 
   3.639371595640522*^9, {3.639371629725852*^9, 3.6393716569329443`*^9}, 
   3.639553455651979*^9},ExpressionUUID->"dfc3fada-3229-480e-8e4b-\
9323e8fefcb7"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1200, 617},
WindowMargins->{{Automatic, 173}, {52, Automatic}},
FrontEndVersion->"12.0 for Linux x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 245, 4, 54, "Subtitle",ExpressionUUID->"5200b4b4-c8d4-47dc-b2a2-6325f107714c"],
Cell[827, 28, 204, 3, 32, "Subsubtitle",ExpressionUUID->"8d930914-4949-4207-9683-b737085d5959"],
Cell[1034, 33, 1919, 50, 170, "Input",ExpressionUUID->"c53758f1-2074-4835-ad2a-46e071817055"],
Cell[CellGroupData[{
Cell[2978, 87, 297, 4, 32, "Subsubtitle",ExpressionUUID->"8b2b1811-5a0e-4e96-b5a9-0f0c23632626"],
Cell[3278, 93, 803, 14, 101, "Input",ExpressionUUID->"fae03bd3-da59-402f-8496-924ed1b4c5c3"],
Cell[4084, 109, 1179, 19, 112, "Input",ExpressionUUID->"91465876-f565-425b-97f4-3ca0e4e3cf75"],
Cell[5266, 130, 442, 10, 31, "Input",ExpressionUUID->"46d39f2a-7e59-4ac6-ba94-688e269de122"],
Cell[5711, 142, 992, 23, 101, "Input",ExpressionUUID->"2adb775c-0e20-4805-9c55-1e0e4c5dc146"],
Cell[6706, 167, 673, 16, 31, "Input",ExpressionUUID->"514154f5-2239-419c-b577-e80143fcd3b5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7416, 188, 250, 4, 32, "Subsubtitle",ExpressionUUID->"c2f75849-c509-45c7-a35b-216146a42ed2"],
Cell[7669, 194, 555, 13, 55, "Input",ExpressionUUID->"c5ff32c5-c170-446a-93f8-0cfaaa16a1f4"],
Cell[8227, 209, 1061, 21, 31, "Input",ExpressionUUID->"a95a6802-7dc1-4668-a1be-d5bb2256017f"],
Cell[9291, 232, 680, 17, 31, "Input",ExpressionUUID->"04be4ce4-3c3d-443a-b85f-e4b3e0a66dc7"],
Cell[9974, 251, 545, 15, 31, "Input",ExpressionUUID->"9a9d389b-0835-4a21-b6ed-9678fd84e695"],
Cell[10522, 268, 926, 25, 31, "Input",ExpressionUUID->"023e8848-6e89-4a06-b98a-0db888aec95b"],
Cell[11451, 295, 1240, 33, 78, "Input",ExpressionUUID->"4c6ae0bb-c295-49b0-8ea3-baab0023967d"],
Cell[12694, 330, 1204, 27, 55, "Input",ExpressionUUID->"44022170-2527-4822-b866-2a0a261be395"],
Cell[13901, 359, 1326, 34, 55, "Input",ExpressionUUID->"4324d953-c88e-4920-a9f2-b2afbd9b4d65"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15276, 399, 233, 4, 54, "Subtitle",ExpressionUUID->"fafca065-d844-4935-bc0f-6ae4b617c10d"],
Cell[15512, 405, 1525, 47, 193, "Input",ExpressionUUID->"58c2a113-57b5-48d0-b307-f2061ace41f0"],
Cell[17040, 454, 828, 22, 78, "Input",ExpressionUUID->"e4a344af-c765-4016-a630-ad3934ceae02"],
Cell[CellGroupData[{
Cell[17893, 480, 986, 26, 101, "Input",ExpressionUUID->"d14f4635-c6ea-449d-8bd7-e49ffdc6dc23"],
Cell[18882, 508, 420, 10, 35, "Output",ExpressionUUID->"48b17119-e2c4-44c8-9afe-f3c8c61c0839"],
Cell[19305, 520, 420, 10, 35, "Output",ExpressionUUID->"257e53d3-e109-4e08-86a9-ca3aa1e4124f"],
Cell[19728, 532, 419, 10, 35, "Output",ExpressionUUID->"2982c47d-af4f-4978-856b-401d4c4c2555"],
Cell[20150, 544, 419, 10, 35, "Output",ExpressionUUID->"dfc3fada-3229-480e-8e4b-9323e8fefcb7"]
}, Open  ]]
}, Open  ]]
}
]
*)

